function cpav = CpKavg(T)
a = 18.909;
b = 143.56;
c = -130.23;
d = 66.526;
e = -14.112;
Tref = 25+273.15;
Trefk = Tref/1000;
Tk = T/1000;
CpT = a*Tk + b/2*Tk^2 + c/3*Tk^3 + d/4*Tk^4 + e/5*Tk^5;
CpTref = a*Trefk + b/2*Trefk^2 + c/3*Trefk^3 + d/4*Trefk^4 + e/5*Trefk^5;
cpav = (CpT-CpTref)/(Tk-Trefk);

