% Determination of air temperature at v = 0
% to meet the counter-current entry temperature at v = Vr
Ta0 = 1120;  % initial estimate
options = optimoptions(@fminunc,'Algorithm','quasi-newton');
[ Ta0out, SSEval, exitflag, output ] = fminunc(@SSE,Ta0,options);
disp(Ta0out)  % show final result
