function Hout = fH(H,T,FA,FK,FM)
Tref = 298.15;
HfA = -216.67e3;
HfK = -61.09e3;
HfM = -74.81e3;
HAt = FA*(CpAavg(T)*(T-Tref)+HfA);
HKt = FK*(CpKavg(T)*(T-Tref)+HfK);
HMt = FM*(CpMavg(T)*(T-Tref)+HfM);
Hout = H-(HAt+HKt+HMt);

